# Gimp.Image.prototype.set_component_active

    function set_component_active(component: Gimp.ChannelType, active: Boolean): Boolean {
        // Gjs wrapper for gimp_image_set_component_active()
    }

Sets if the specified image's image component is active.

This procedure sets if the specified image's image component (i.e. Red, Green, Blue intensity channels in an RGB image) is active or inactive -- whether or not it can be modified. If the specified component is not valid for the image type, an error is returned.

component

  The image component.

active

  Component is active.

Returns

  TRUE on success.